#!/usr/bin/env python3

from .easydoc import LODocument


class LOWriter(LODocument):
    _type = 'writer'
    TEXT_RANGES = 'SwXTextRanges'

    def __init__(self, obj):
        super().__init__(obj)
        self._view_settings = self._cc.ViewSettings

    @property
    def zoom(self):
        return self._view_settings.ZoomValue
    @zoom.setter
    def zoom(self, value):
        self._view_settings.ZoomValue = value
